%define name gmpc-plugins
%define version 11.8.16
%define release %mkrel 2

Summary: Gmpc plugins
Summary(de): GMPC Plugins
Name: 	 %name
Version: %version
Release: %release
License: GPL
Group: 	Sound
URL: 	http://download.sarine.nl/
Source: http://download.sarine.nl/Programs/gmpc/0.20.0/%name-%version.tar.xz
BuildRoot: %_tmppath/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk2-devel 
BuildRequires: %{_lib}glade2.0_0-devel 
BuildRequires: gnome-vfs2-devel
BuildRequires: perl-XML-Parser libcurl-devel
BuildRequires: %{_lib}mpd-devel >= 0.20.0 
BuildRequires: gmpc-devel >= 0.20.0
BuildRequires: %{_lib}xosd2-devel
BuildRequires: lirc-devel
BuildRequires: taglib-devel
BuildRequires: %{_lib}webkitgtk1.0-devel
BuildRequires: gob2
Requires: gmpc
Obsoletes:  %name < %version


%description
%name-plugins for Gmpc 

Gmpc Plugins lists :
* gmpc-alarm
* gmpc-albumview
* gmpc-avahi
* gmpc-awn
* gmpc-discogs
* gmpc-extraplaylist
* gmpc-fullscreeninfo
* gmpc-jamendo
* gmpc-last.fm
* gmpc-lirc
* gmpc-lyrics
* gmpc-lyricwiki
* gmpc-magnatune
* gmpc-mdcover
* gmpc-mserver
* gmpc-playlistsort
* gmpc-shout
* gmpc-tagedit
* gmpc-wikipedia


#german
%description -l de
%name-Plugins für GMPC
Enthaltene Plugins sind:
* gmpc-alarm
* gmpc-albumview
* gmpc-avahi
* gmpc-awn
* gmpc-discogs
* gmpc-extraplaylist
* gmpc-fullscreeninfo
* gmpc-jamendo
* gmpc-last.fm
* gmpc-lirc
* gmpc-lyrics
* gmpc-lyricwiki
* gmpc-magnatune
* gmpc-mdcover
* gmpc-mserver
* gmpc-playlistsort
* gmpc-shout
* gmpc-tagedit
* gmpc-wikipedia


%prep

%setup -q

%build
%configure2_5x --disable-mserver

%make 

%install
rm -rf %buildroot
%makeinstall_std 

rm -f %{buildroot}/usr/lib/gmpc/plugins/awnplugin.la
mv %{buildroot}/usr/lib/gmpc/plugins/awnplugin.so \
%{buildroot}%{_libdir}/gmpc/plugins/awnplugin.so

%clean
rm -rf %buildroot


%files 
%defattr(-,root,root)
%doc COPYING
%{_libdir}/gmpc/plugins/*
%{_datadir}/gmpc/plugins/*
%{_datadir}/gmpc-albumview/
%{_datadir}/locale/*/LC_MESSAGES/*.mo

   
%changelog
* Fri Sep 06 2013 billybot <billybot> 11.7.16-2pclos2013
- rebuild against updated webkitgtk
- add BR: gob2

* Wed May 16 2012 Neal <nealbrks0 at gmail dot com> 11.8.16-1pclos2012
- process

* Wed May 16 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 11.8.16-1pclos2012
- 11.8.16
- added %{_lib} macros
- added xz compression

* Sat Apr 03 2010 slick50 <lxgator@gmail.com> 0.20.0-1pclos2010
- 0.20.0

* Fri Jan 08 2010 Texstar <texstar at gmail.com> 0.19.0-2pclos2010
- rebuild

* Sat Dec 05 2009 slick50 <lxgator@gmail.com> 0.19.0-1pclos2010
- 0.19.0

* Sun Aug 09 2009 slick50 <lxgator@gmail.com> 0.18.0-1pclos2009
- initial pkg

